Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface AnnotationMetaData

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Implementing Classes:
  AbstractAnnotationMetaData

public interface AnnotationMetaData
extends org.jboss.util.JBossInterface, MetaDataVisitorNode

Metadata about an annotation attribute.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`Set` | `getAttributes()` Get the annotation attributes.
`String` | `getName()` Get the name

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Method Detail

### getName

    public String getName()

  Get the name

  Returns:
    the name

### getAttributes

    public Set getAttributes()

  Get the annotation attributes.

  Returns:
    Set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.